openSUSE Security Update : seamonkey (seamonkey-1738)

High Nessus Plugin ID 43619


The remote openSUSE host is missing a security update.


The Mozilla SeaMonkey browser suite was updated to version 2.0.1, fixing lots of bugs and various security issues.

The following issues were fixed :

- MFSA 2009-65/CVE-2009-3979/CVE-2009-3981 Crashes with evidence of memory corruption (

- MFSA 2009-68/CVE-2009-3983 (bmo#487872) NTLM reflection vulnerability

- MFSA 2009-69/CVE-2009-3984/CVE-2009-3985 (bmo#521461,bmo#514232) Location bar spoofing vulnerabilities

- MFSA 2009-70/CVE-2009-3986 (bmo#522430) Privilege escalation via chrome window.opener

- MFSA 2009-71/CVE-2009-3987: COM object enumeration only affects Windows operating systems.


Update the affected seamonkey packages.

See Also

Plugin Details

Severity: High

ID: 43619

File Name: suse_11_2_seamonkey-091223.nasl

Version: $Revision: 1.10 $

Type: local

Agent: unix

Published: 2010/01/03

Modified: 2016/12/21

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 9.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:seamonkey, p-cpe:/a:novell:opensuse:seamonkey-dom-inspector, p-cpe:/a:novell:opensuse:seamonkey-irc, p-cpe:/a:novell:opensuse:seamonkey-venkman, cpe:/o:novell:opensuse:11.2

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2009/12/23

Reference Information

CVE: CVE-2009-3388, CVE-2009-3389, CVE-2009-3979, CVE-2009-3980, CVE-2009-3981, CVE-2009-3982, CVE-2009-3983, CVE-2009-3984, CVE-2009-3985, CVE-2009-3986, CVE-2009-3987

CWE: 94, 189, 200, 399